
import javax.sound.midi.MidiChannel;
import javax.sound.midi.MidiSystem;
import javax.sound.midi.Synthesizer;

public class SynthNote {
	public static void main(String[] args) {

		int nNoteNumber = 50;   // Tonhoehe
		int nVelocity = 100;	// Anschlagstaerke
		int nDuration = 2500;	// Dauer (Achtung: schneidet ab!)

		Synthesizer synth = null;

		try {
			synth = MidiSystem.getSynthesizer();
			synth.open();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(-1);
		}		
		MidiChannel[] channels = synth.getChannels();
		channels[0].noteOn(nNoteNumber, nVelocity);
		try {
			Thread.sleep(nDuration);
		} catch (InterruptedException e) {
		}
		channels[0].noteOff(nNoteNumber);
		System.exit(0);
	}

}
